# Uses of Class
javax.swing.plaf.metal.MetalFileChooserUI.DirectoryComboBoxModel

Packages that use MetalFileChooserUI.DirectoryComboBoxModel
Package
Description
javax.swing.plaf.metal
Provides user interface objects built according to the Java look and feel (once codenamed Metal), which is the default look and feel.

## Uses of MetalFileChooserUI.DirectoryComboBoxModel in javax.swing.plaf.metal

Methods in javax.swing.plaf.metal that return MetalFileChooserUI.DirectoryComboBoxModel
Modifier and Type
Method
Description
`protected MetalFileChooserUI.DirectoryComboBoxModel`
MetalFileChooserUI.`createDirectoryComboBoxModel(JFileChooser fc)`
Constructs a new instance of `DataModel` for `DirectoryComboBox`.